"use client";

import { PropsWithChildren } from "react";

import { NextIntlClientProvider } from "next-intl";

const IntlClientProvider = ({
  messages,
  locale,
  children,
}: PropsWithChildren & {
  messages: any;
  locale: any;
}) => {
  return (
    <NextIntlClientProvider
      messages={messages}
      locale={locale}
      // Prevents console errors for missing keys
      onError={(error) => {
        if (error.code === "MISSING_MESSAGE") {
          return;
        }
        console.error(error);
      }}
      // return the translation key if not exist
      getMessageFallback={({ key }) => key}
    >
      {children}
    </NextIntlClientProvider>
  );
};

export default IntlClientProvider;
